#!/bin/sh
ifconfig lo 127.0.0.1 up
/dso/sbin/wdg &

hwclock -s

mkdir /var/run
mkdir /var/lib

insmod /dso/drivers/s3c2416-io_bank.ko
ln -s /dev/fb0 /dev/dso-lcd
ln -s /dev/i2c-0 /dev/dso-i2c
ln -s /dev/bkl /dev/dso-lcd1

/dso/bin/io_bank g3 o 0
#set lcd to de mode
/dso/bin/io_bank e8 o 1

insmod /dso/drivers/fpga_cfg.ko
if [ ! -f /lib/firmware/dso4000.bit ];
then
	ln -s /dso/lib/firmware/dso4000.bit /lib/firmware/dso4000.bit
fi

insmod /dso/drivers/s3c2416_adc.ko
insmod /dso/drivers/tq2416_backlight.ko
insmod /dso/drivers/tq2416_beep.ko

/dso/bin/cfg_fpga /lib/firmware/dso4000.bit
insmod /dso/drivers/fpga_ctl.ko

#/dso/etc/insmod_usb_driver
/dso/etc/alsa_node.sh

#insmod /dso/drivers/dm9000.ko
#ifconfig eth0 192.168.1.127 up
#sleep 10;mount 192.168.1.126:/home/nfsroot /mnt/nfs -o nolock &
#telnetd &
echo "1500">/proc/sys/vm/dirty_expire_centisecs 

flash_eraseall /dev/mtd3
/bin/hostname "dso4000"
echo --------------------------------------------------------------------------------
echo start
echo --------------------------------------------------------------------------------
/dso/app/app&

#lxi
#avahi-daemon -D
#node /www/server.js&
